## vocal 2.4.2

=== CMakeLists.txt ===
project (vocal)
cmake_minimum_required (VERSION 2.8)
cmake_policy (VERSION 2.6)

set (DATADIR "${CMAKE_INSTALL_PREFIX}/share")
set (PKGDATADIR "${DATADIR}/vocal")
set (GETTEXT_PACKAGE "vocal")
set (RELEASE_NAME "Break a Leg")
set (VERSION "2.4.2")
set (VERSION_INFO "Release")
set (EXEC_NAME "com.github.needleandthread.vocal")
set (PREFIX ${CMAKE_INSTALL_PREFIX})
set (CACHE_DIR "~/.cache/vocal")
set (USER_AGENT "vocal/${VERSION}")
set (DOLLAR "$")

list (APPEND CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)

file(GLOB_RECURSE sources src/*.vala)

# Some configuration
configure_file (${CMAKE_SOURCE_DIR}/src/config.vala.cmake ${CMAKE_SOURCE_DIR}/src/config.vala)

#GSettings
include(GSettings)
add_schema("com.github.needleandthread.vocal.gschema.xml")

include (GResource)
glib_compile_resources (GLIB_RESOURCES_VIEW SOURCE data/com.github.needleandthread.vocal.gresource.xml)

# Definitions
add_definitions ("-DGETTEXT_PACKAGE=\"${GETTEXT_PACKAGE}\"")

# Hide C compiler warnings
add_definitions (-w)


set (BASIC_VALAC_OPTIONS
    --enable-experimental
    --disable-warnings
    --target-glib=2.32
    --thread
    -g
)

set (GLOBAL_VALAC_OPTIONS
    ${BASIC_VALAC_OPTIONS}
)

set (DEPS_PACKAGES
    webkit2gtk-4.0
    clutter-gtk-1.0
    clutter-gst-3.0
    sqlite3
    gtk+-3.0
    granite
    libxml-2.0
    gstreamer-1.0
    gstreamer-pbutils-1.0
    libsoup-2.4
    json-glib-1.0
    gee-0.8
)

find_package(PkgConfig)
pkg_check_modules(DEPS REQUIRED libxml-2.0 granite gtk+-3.0 gstreamer-1.0 gstreamer-pbutils-1.0 gthread-2.0 sqlite3 clutter-gtk-1.0 clutter-gst-3.0 gdk-x11-3.0 libsoup-2.4 json-glib-1.0 webkit2gtk-4.0 gee-0.8)

#
# Libunity
#
pkg_check_modules (UNITY QUIET unity)
if (UNITY_FOUND)
    message ("-- libunity enabled")
    set (GLOBAL_VALAC_OPTIONS ${GLOBAL_VALAC_OPTIONS} --define=HAVE_LIBUNITY)
    set (DEPS_PACKAGES ${DEPS_PACKAGES} unity)
    set (DEPS_CFLAGS ${DEPS_CFLAGS} ${UNITY_CFLAGS})
    set (DEPS_LIBRARIES ${DEPS_LIBRARIES} ${UNITY_LIBRARIES})
    set (DEPS_LIBRARY_DIRS ${DEPS_LIBRARY_DIRS} ${UNITY_LIBRARY_DIRS})
else ()
  message ("-- libunity disabled")
endif ()

#
# Libnotify
#
pkg_check_modules (LIBNOTIFY QUIET libnotify)
if (LIBNOTIFY_FOUND)
    message ("-- libnotify enabled")
    set (GLOBAL_VALAC_OPTIONS ${GLOBAL_VALAC_OPTIONS} --define=HAVE_LIBNOTIFY)
    set (DEPS_PACKAGES ${DEPS_PACKAGES} libnotify)
    set (DEPS_CFLAGS ${DEPS_CFLAGS} ${LIBNOTIFY_CFLAGS})
    set (DEPS_LIBRARIES ${DEPS_LIBRARIES} ${LIBNOTIFY_LIBRARIES})
    set (DEPS_LIBRARY_DIRS ${DEPS_LIBRARY_DIRS} ${LIBNOTIFY_LIBRARY_DIRS})
else ()
    message ("-- libnotify disabled")
endif ()

add_definitions(${DEPS_CFLAGS})
link_libraries(${DEPS_LIBRARIES})
link_directories(${DEPS_LIBRARY_DIRS})


find_package(Vala REQUIRED)
include(ValaVersion)
ensure_vala_version("0.26.2" MINIMUM)
include(ValaPrecompile)
vala_precompile(VALA_C ${EXEC_NAME}
    src/Vocal.vala
    src/Controller.vala
    src/MainWindow.vala
    src/config.vala
    src/Library.vala
    src/VocalSettings.vala
    src/Objects/Podcast.vala
    src/Objects/Episode.vala
    src/Objects/DirectoryEntry.vala
    src/Widgets/EpisodeDetailBox.vala
    src/Widgets/AddFeedDialog.vala
    src/Widgets/DownloadsPopover.vala
    src/Widgets/ShowNotesPopover.vala
    src/Widgets/InternetArchiveUploadDialog.vala
    src/Widgets/PlaybackBox.vala
    src/Widgets/SettingsDialog.vala
    src/Widgets/DownloadDetailBox.vala
    src/Widgets/CoverArt.vala
    src/Widgets/VideoControls.vala
    src/Widgets/DirectoryView.vala
    src/Widgets/DirectoryArt.vala
    src/Widgets/NewEpisodesView.vala
    src/Widgets/CloudLoginDialog.vala
    src/Widgets/SearchResultsView.vala
    src/Widgets/PodcastView.vala
    src/Widgets/Shownotes.vala
    src/Widgets/Toolbar.vala
    src/Widgets/QueuePopover.vala
    src/Widgets/QueueRow.vala
    src/Widgets/SearchResultBox.vala
    src/Utils/Player.vala
    src/Utils/FeedParser.vala
    src/Utils/Utils.vala
    src/Utils/MPRIS.vala
    src/Utils/iTunesProvider.vala
    src/Utils/SoupClient.vala
    src/Utils/XmlUtils.vala
    src/Services/ImageCache.vala
PACKAGES
    ${DEPS_PACKAGES}
OPTIONS
    --vapidir=${CMAKE_SOURCE_DIR}/vapi
    ${GLOBAL_VALAC_OPTIONS}
)

add_subdirectory (po)

add_executable(${EXEC_NAME} ${VALA_C} ${GLIB_RESOURCES_VIEW})

# uninstall target
configure_file (
    "${CMAKE_SOURCE_DIR}/cmake/Uninstall.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/Uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target (uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/Uninstall.cmake)

install (TARGETS com.github.needleandthread.vocal RUNTIME DESTINATION bin)

#configure_file (data/com.github.needleandthread.vocal.desktop.in.in ${CMAKE_CURRENT_BINARY_DIR}/com.github.needleandthread.vocal.desktop.in)
#configure_file_translation (${CMAKE_CURRENT_BINARY_DIR}/com.github.needleandthread.vocal.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/com.github.needleandthread.vocal.desktop ${CMAKE_SOURCE_DIR}/po/)
#configure_file_translation (${CMAKE_CURRENT_SOURCE_DIR}/data/com.github.needleandthread.vocal.appdata.xml.in ${CMAKE_CURRENT_BINARY_DIR}/com.github.needleandthread.vocal.appdata.xml ${CMAKE_SOURCE_DIR}/po/)

install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/com.github.needleandthread.vocal.desktop DESTINATION share/applications)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/data/com.github.needleandthread.vocal.appdata.xml DESTINATION share/metainfo)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/16/com.github.needleandthread.vocal.svg DESTINATION share/icons/hicolor/16x16/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/22/com.github.needleandthread.vocal.svg DESTINATION share/icons/hicolor/22x22/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/24/com.github.needleandthread.vocal.svg DESTINATION share/icons/hicolor/24x24/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/32/com.github.needleandthread.vocal.svg DESTINATION share/icons/hicolor/32x32/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/48/com.github.needleandthread.vocal.svg DESTINATION share/icons/hicolor/48x48/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/64/com.github.needleandthread.vocal.svg DESTINATION share/icons/hicolor/64x64/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/128/com.github.needleandthread.vocal.svg DESTINATION share/icons/hicolor/128x128/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/scalable/com.github.needleandthread.vocal-symbolic.svg DESTINATION share/icons/hicolor/scalable/apps)
install (FILES ${CMAKE_CURRENT_SOURCE_DIR}/icons/assets/vocal-missing.png DESTINATION share/vocal)

=== po/CMakeLists.txt ===
include (Translations)
add_translations_directory (${GETTEXT_PACKAGE})
add_translations_catalog (${GETTEXT_PACKAGE}
    ../src
    ../src/Objects
    ../src/Utils
    ../src/Widgets
    ../data
    DESKTOP_FILES
        ../data/com.github.needleandthread.vocal.desktop
    APPDATA_FILES
        ../data/com.github.needleandthread.vocal.appdata.xml
)

=== debian/changelog ===
vocal (2.4.2-1mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Wed, 26 Apr 2023 15:29:41 -0700

com.github.needleandthread.vocal (2.3.0) xenial; urgency=low

  * Updated for elementary OS 5.0 Juno
  * Added new in-app volume controls
  * Dramatic improvements to the new episode count badges
  * Improved the search view to make it clear when Vocal is loading results from iTunes
  * Podcasts licensed as Creative Commons now display a Creative Commons logo
  * Improved look and feel throughout the app
  * New episodes are now sorted by release date rather than just their position in the RSS feed (most users will not notice a difference as this was an edge-case)
  * Fixed navigation issues that could cause new users to get stuck during the setup process
  * Fixed several issues with the new episodes view button either being visible when it should not be, or not being visible when it should
  * Database handling and performance improvements
  * General stability improvements

 -- Nathan Dyer <mail@nathandyer.me>  Sun, 4 Nov 2018 11:00:00 -0500

com.github.needleandthread.vocal (2.2.0) xenial; urgency=low

  * Fixed the infamous "freeze on launch" bug which prevented some users from accessing their library.
  * Added a New Episode view to see all the unplayed episodes in your library at once.
  * Fixed an annoyance where Vocal would sometimes re-download an episode that had already been downloaded.
  * Performance and stability improvements with checking for new episodes.
  * Improved performance of the iTunes podcast directory (specifically related to the loading of hi res images).
  * Improved logging and debugging support.
  * Many other small performance and stability enhancements.
  
 -- Nathan Dyer <mail@nathandyer.me>  Sun, 22 Apr 2018 17:00:00 -0500

com.github.needleandthread.vocal (2.1.6) trusty; urgency=low

  * This update fixes an issue where the .desktop file was using the RDNN instead of the actual app name.
  
 -- Nathan Dyer <mail@nathandyer.me>  Mon, 29 Jan 2018 17:00:00 -0500

com.github.needleandthread.vocal (2.1.5) trusty; urgency=low

  * Added HiDPI support for all images so everything looks nice and sharp no matter how fancy your display is.
  * Fixed an issue where Vocal would not show you the time elapsed or remaining in an episode immediately after relaunching the app.
  * Reduced the animation time for switching between different views so that it feels extra snappy.
  * Gave the search results view a shave and a haircut. Two bits.
  * Fixed a few issues where Vocal would be grouchy about showing certain episode descriptions.
  * When importing several podcasts the progress bar now stays one size so you can actually judge the progress correctly.
  * You can now drag and drop items in the play queue to rearrange their order.
  * Lots more checking to make sure that things exist so it won't crash nearly as much (hopefully never).
  
 -- Nathan Dyer <mail@nathandyer.me>  Sun, 31 Dec 2017 17:00:00 -0500

com.github.needleandthread.vocal (2.0.1) trusty; urgency=low

  * Fixed a major bug that was leading to crashing when clicking on certain podcasts in the library view
  * Use the built-in card CSS class for items in the podcast directory when running on elementary OS to make things look even sexier
  * Added drag-and-drop support to the queue and prevent adding duplicate episodes
  
 -- Nathan Dyer <mail@nathandyer.me>  Mon, 5 Jun 2017 17:00:00 -0500

com.github.needleandthread.vocal (2.0) trusty; urgency=low

  * iTunes Store integration
  * An all-new playback queue
  * Local and remote searching
  * Better notification management 
  * A new podcast view
  * HTML shownotes
  * Improved playback support
  * Higher resolution album art
  * and much more!

 -- Nathan Dyer <mail@nathandyer.me>  Sat, 31 Oct 2015 17:00:00 -0500

=== debian/control ===
Source: vocal
Section: sound
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Nathan Dyer <mail@nathandyer.me>
Build-Depends: cmake (>= 2.8),
               debhelper-compat (= 12),
               libclutter-1.0-dev,
               libclutter-gst-3.0-dev,
               libclutter-gtk-1.0-dev,
               libgee-0.8-dev,
               libgranite-dev,
               libgstreamer-plugins-base1.0-dev,
               libgstreamer1.0-dev,
               libgtk-3-dev (>= 3.14),
               libnotify-dev,
               libsoup2.4-dev,
               libsqlite3-dev,
               libunity-dev,
               libwebkit2gtk-4.0-dev,
               libxml2-dev,
               valac (>= 0.18.1)
Standards-Version: 4.5.2

Package: vocal
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: vocal, a modern podcast application
 Simple podcast client for the modern desktop.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ 

# No dbgsym packages:
override_dh_strip:
	dh_strip --no-automatic-dbgsym
